# Uses of Interface
org.mariadb.jdbc.type.Geometry

Packages that use Geometry
Package
Description
org.mariadb.jdbc.type

## Uses of Geometry in org.mariadb.jdbc.type

Classes in org.mariadb.jdbc.type that implement Geometry
Modifier and Type
Class
Description
`class`
`GeometryCollection`
Geometry collection implementation
`class`
`LineString`
Linestring object
`class`
`MultiLineString`
Multiline
`class`
`MultiPoint`
Multi-point
`class`
`MultiPolygon`
Multi polygon
`class`
`Point`
Point
`class`
`Polygon`
Polygon
Methods in org.mariadb.jdbc.type that return Geometry
Modifier and Type
Method
Description
`Geometry[]`
GeometryCollection.`getGeometries()`
Get objects
`static Geometry`
Geometry.`getGeometry(org.mariadb.jdbc.client.ReadableByteBuf buf, int length, org.mariadb.jdbc.client.Column column)`
parse geometry object
Constructors in org.mariadb.jdbc.type with parameters of type Geometry
Modifier
Constructor
Description
``
`GeometryCollection(Geometry[] geometries)`
Constructor